import { ShContextService } from './sh-context-service';
import { EventEmitter, OnInit, ElementRef, AfterContentInit } from "@angular/core";
import { IShContextMenuItem, IShContextOptions } from "./sh-context-menu.models";
export interface ShContextPosition {
    top: number;
    left: number;
}
export declare class ShContextMenuComponent implements OnInit, AfterContentInit {
    private ctxService;
    position: ShContextPosition;
    items: IShContextMenuItem[];
    dataContext: any;
    onClose: EventEmitter<{}>;
    options: IShContextOptions;
    childRef: ElementRef;
    constructor(ctxService: ShContextService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    close(): void;
    onClick(item: IShContextMenuItem): void;
    isItemDisabled(item: IShContextMenuItem): boolean;
    isItemVisible(item: IShContextMenuItem): boolean;
    setRtlLocation(): void;
}
