import { EventEmitter } from '@angular/core';
import { Output } from '@angular/core';
import { Component } from '@angular/core';
var ShContextOverlayComponent = (function () {
    function ShContextOverlayComponent() {
        this.onClick = new EventEmitter();
    }
    return ShContextOverlayComponent;
}());
export { ShContextOverlayComponent };
ShContextOverlayComponent.decorators = [
    { type: Component, args: [{
                selector: 'sh-context-overlay',
                template: "<div class=\"sh-context-overlay\" (mousedown)=\"onClick.emit()\"></div>",
                styles: ["\n    .sh-context-overlay{\n      position: fixed;\n      top:0;\n      bottom: 0;\n      left: 0;\n      right: 0;\n      z-index: 99;\n      background-color: transparent;\n   }\n  "]
            },] },
];
/** @nocollapse */
ShContextOverlayComponent.ctorParameters = function () { return []; };
ShContextOverlayComponent.propDecorators = {
    'onClick': [{ type: Output },],
};
//# sourceMappingURL=sh-context-overlay.component.js.map